﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication21
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = DummyDataCreator.GetData(1);
            this.BindAndFixRows(dt);

        }

        private void BindAndFixRows(DataTable dt)
        {
            this.ultraGrid1.DataSource = dt;
            foreach (UltraGridRow row in this.ultraGrid1.Rows)
                row.Fixed = true;
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Override.FixedRowIndicator = FixedRowIndicator.Button;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataTable dt = DummyDataCreator.GetData(4);
            this.BindAndFixRows(dt);
        }
    }
}
